summaryrefslogtreecommitdiff
path: root/test/integration/test-bug-330162-encoded-tar-header
diff options
context:
space:
mode:
authorDavid Kalnischkies <kalnischkies@gmail.com>2011-01-13 00:27:42 +0100
committerDavid Kalnischkies <kalnischkies@gmail.com>2011-01-13 00:27:42 +0100
commitf688d1d3c90091c308ec979eabab511134810be9 (patch)
tree78374e93799608ea63ac2aac8d9dc0370d3b05be /test/integration/test-bug-330162-encoded-tar-header
parent1fc0d435891dc9496a71a680032918dab2372e6d (diff)
parent54f2f0a3e46e4369285be8c25912fd45413114c0 (diff)
* apt-inst/contrib/extracttar.cc:
- let apt-utils work with encoded tar headers if uid/gid are large. Thanks to Nobuhiro Hayashi for the patch! (Closes: #330162)
Diffstat (limited to 'test/integration/test-bug-330162-encoded-tar-header')
-rwxr-xr-xtest/integration/test-bug-330162-encoded-tar-header11
1 files changed, 11 insertions, 0 deletions
diff --git a/test/integration/test-bug-330162-encoded-tar-header b/test/integration/test-bug-330162-encoded-tar-header
new file mode 100755
index 000000000..fa01e0379
--- /dev/null
+++ b/test/integration/test-bug-330162-encoded-tar-header
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -e
+
+local TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+setupenvironment
+configarchitecture "i386"
+
+msgtest 'Test apt-ftparchive with encoded tar header package'
+cp $TESTDIR/deb-bug-330162-encoded-tar-header.deb aptarchive/
+test -z "$(aptftparchive packages aptarchive/ 2>&1 | grep 'E:')" && msgpass || msgfail